<?php

class FormController extends BaseController{

     public function responder($id, $isAlumno, $idRespuesta, $isAlumnoRespuesta){

          $id=(int)$id;
          $isAlumno=(int)$isAlumno;
          $idRespuesta=(int)$idRespuesta;
          $isAlumnoRespuesta=(int)$isAlumnoRespuesta;
          $foroTable=Foro::find($id);

          /*if(!$isAlumno){
               Config::set('auth.model', 'Profesor');
          }
          else{
               $idRespuesta=Auth::user()->id_alumno;
          }*/

          $fields=array('respuesta'=>Input::get('respuesta'));
          $rules=array('respuesta'=>'required');

          $validator=Validator::make($fields, $rules);

          if($validator->fails()){
               return Redirect::to('foro')->withErrors($validator);
          }

          $database=array('id_foro'=>$id, 'id_respuesta'=>$idRespuesta,
               'respuesta'=>Input::get('respuesta'), 'isalumno'=>$isAlumnoRespuesta, 'tipo'=>$foroTable->tipo);

          ForoRespuesta::create($database);

          if($isAlumnoRespuesta){
               $msg="<div class='alert alert-success'><b>
               Respuesta publicada</b></div>";

               return Redirect::to('foro')->with('message', $msg);
          }
          else{
               $msg="<div class='alert alert-success'><b>
               Ha contestado la pregunta del alumno.</b></div>";

               return Redirect::to('foro')->with('message', $msg);
          }

     }
}

?>
