<?php

class Recurso extends Eloquent{

    protected $table="recurso";
    protected $primaryKey="id_recurso";
    protected $fillable=array("id_profesor", "nombre", "tipo", "url", "datas", "mime", "descripcion", "id_alumno", "votos");

    public function profesor(){
        return $this->belongsTo("Profesor", "id_profesor");
    }

    public function scopeBytype($query, $type){
        return $query->where('tipo', $type);
    }

    public function scopeLikename($query, $type){
        return $query->where('nombre', 'like', "%$type%");
    }
}

?>
