<!DOCTYPE html>
<html lang="es">
     @if(Session::has('isProfesor'))
          <?php Config::set('auth.model', 'Profesor') ;?>
     @endif
     <head>
          @include('includes.head')
          @yield('cssAdd')
          <style>
                #header, button, h1, h2, h3, p, table, ul {
                    font-family: 'Open Sans', Arial;
                }
                #header, .headline-inverted, .myNavBar {
                background-color: #142E42;
                }
                @media only screen and (max-width:550px) {
                    h1.headline-inverted {
                        font-size: 1.5em;
                    }
                    #header-main-1 {
                        display: none;
                    }
                    #nav-menu-icons li i {
                        font-size: 1.3em;
                    }
                }
                #nav-menu-icons {
                    text-align: center;
                    padding: 0;
                    margin-bottom: 0;
                }
                #nav-menu-icons li {
                    display: inline-block;
                    margin-right: 1em;
                    cursor: pointer;
                }
                .headline-inverted {
                    text-align: center;
                    color: #FFF;
                    padding: .7em 0;
                }
                .center-things {
                    text-align: center;
                    margin: auto;
                }
                #header {
                    color: #fff;
                    font-size: .9em;
                    padding: 5px 0 1em;
                }
                #header a {
                    color: #FFF;
                }
                #header-main-2 {
                    text-align: right;
                    font-family: Verdana;
                }
                .dropdown-menu small {
                    color: #000;
                }
                .myNavBar {
                    border-radius: 0;
                    border: none;
                    margin-bottom: 0;
                    min-height: 0;
                }
                .fa-menu {
                    color: #fff;
                    font-size: 1.7em;
                }
                .fa-menu-invert {
                    color: #919191;
                }
                #headerCollapse1 .nav-pills {
                    text-align: center;
                    padding-bottom: 1em;
                }

                .panel {
                    border-radius: 0;
                    border: none;
                }
                .panel-footer, .panel-heading {
                border: none;
                }
                #header .myDropdownHeader i {
                    color: #142E42;
                }
                #header .myDropdownHeader button {
                    background-color: #FFF;
                    border: none;
                }
                #btn-mobile-nav i {
                    color: #FFF;
                    font-size: 1.3em;
                }
          </style>
     </head>

     <body>

               <!--{{"Alumno: " . Session::get('isAlumno') . "<br>"}}
               {{"Profesor: " . Session::get('isProfesor') . "<br>"}}-->

               @include('includes.header')

               @include('includes.menu')

               @if(Session::has('message'))
                    <div class="container">
                         {{Session::get('message')}}
                    </div>
               @endif

               @yield('content')

               @include('includes.footer')

          <link rel="stylesheet" type="text/css" href="/dist/css/style.css">
          <link href='http://fonts.googleapis.com/css?family=Open+Sans:300' rel='stylesheet' type='text/css'>
          <script type="text/javascript" src="http://cdnjs.cloudflare.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
          <script type="text/javascript" src="http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
          <script type="text/javascript" src="/dist/js/script.js" async></script>
          @yield('scriptsAdd')
     </body>
</html>
