@extends('layouts.default')
@section('cssAdd')
	<style>
		#mis-calificaciones > p{
			font-size: 1.3em;
			padding: 2em 0 2em 0;
		}
		#mis-calificaciones table {
			font-size: 1.5em;
		}
		#mis-calificaciones table thead{
			background-color: #E6E6FC;
		}
		#mis-calificaciones table th{
			text-align: center;
		}
		#mis-calificaciones table tbody{
			text-align: center;
		}
		.c-10, .c-9{
			background-color: #9FEE00;
		}
		.c-8, .c-7, .c-6{
			background-color: #0F4FA8;
			color: #FFF;
		}
		.c-5, .c-4, .c-3, .c-2, .c-1, .c-0{
			background-color: #FF1E00;
			color: #FFF;
		}
	</style>
@stop
@section('content')
	<?php $idAlumno=Auth::user()->id_alumno ;?>
	<?php $tareasEntregadasNum=DB::table('tarea_alumno')->where('id_alumno','=',$idAlumno)->count(); if($tareasEntregadasNum != 0){$tareasEntregadas=DB::table('tarea_alumno')->where('id_alumno','=', $idAlumno)->lists('nombre'); $tareasCalificadas=DB::table('tarea_alumno')->where('id_alumno','=',$idAlumno)->select('nombre','calificacion','observaciones')->get();}?>
	<div class="container-fluid" id="mis-calificaciones">
		<h1 class="headline-inverted">Mis Calificaciones</h1>

		<div class="row-fluid">
			@if($tareasEntregadasNum != 0)

				@foreach($tareasCalificadas as $i)
					<div class="panel col-sm-4">
						<div class="panel-heading c-{{$i->calificacion}}">
							<span>
								{{$i->nombre}}
							</span>
							<span> ({{$i->calificacion}})</span>
						</div>
						<div class="panel-body">
							<p>
								{{$i->observaciones}}
							</p>
						</div>
					</div>
				@endforeach

			@endif
		</div>



	</div>

@stop
