@extends('layouts.default')

@section('cssAdd')
    <style media="screen">
        .fa-briefcase{
            color: #FF7600;
        }
    </style>
@stop

@section('content')

     <div class="container">

          @if(Session::has('isProfesor'))
               <h1 class="vistaAlumno">
                    Está en modo: Vista de Alumno, <a href="menuAlumno"> Ver Menú del Alumno</a>
               </h1>
               <a href="menuProfesor"><h2 style="text-align:left">Salir de Vista de Alumno</h2></a>
          @endif

          <h1 class="headline-inverted">
               Mis Tareas
          </h1>
          <div class="alert alert-warning">
                    <b><span style="color:#ffd100" class="glyphicon glyphicon-warning-sign"></span> El tamaño máximo para subir archivos es de 2 MB</b>
          </div>
          <?php $tareas = DB::table('tarea')->orderBy('created_at', 'desc')->paginate(10);?>
          <?php if(Auth::user()->estilos == ''){$ep = 'none';} else { $ep = Auth::user()->estilos; } ?>
          <?php $counter = 0;?>
          @foreach($tareas as $i)
               @if($counter == 0)
                    <div class="row">
               @endif
               <?php $counter++;?>

                    <div class="col-sm-4">

                         <div class="panel panel-default">

                              <div class="panel-heading">
                                   <b>{{$nt = $i->nombre}}</b>
                                   <a href="{{'/materialTarea?e='.$ep.'&t='.$nt}}">
                                       <i class="fa fa-briefcase"></i>
                                   </a>
                                   @if($disp=$i->disponible)
                                        <small style="color:#0DFF00; font-weight:bolder">
                                             Disponible
                                        </small>
                                   @endif
                              </div>

                              <div class="panel-body">
                                   @if($i->is_data)
                                        {{"<a href='verTareaPdf/$i->id_tarea'>$i->nombre</a>"}}
                                        <p>{{$i->descripcion}}</p>
                                   @else
                                        {{$i->descripcion}}
                                   @endif
                              </div>

                              @if(!$disp)
                                   </div>
                                   </div>
                                   @if($counter == 3)
                                        </div>
                                        <?php $counter = 0;?>
                                   @endif
                                   <?php continue;?>
                              @endif

                              <div class="panel-footer center-things">
                                   {{Form::open(array('url'=>'enviarTarea/'.$i->id_tarea.'/'.Auth::user()->id_alumno, 'files'=>'true'))}}
                                   {{Form::input('file', 'file')}} <br>
                                   {{Form::submit('Enviar', ['class'=>'btn btn-success btnTareaEnviar'])}}
                                   {{Form::close()}}
                              </div>

                         </div>

                    </div>

               @if($counter == 3)
                    </div>
                    <?php $counter = 0;?>
               @endif
          @endforeach
     </div>
@stop

@section('scriptsAdd')
    <script type="text/javascript">

    </script>
@stop
