(function($){

    var body = $('body');
    var estilos = body.find('#vark-estilos');
    var todos = body.find('.hide-vark');
    var varkContainer = body.find('#vark-container');
    var v = body.find('#vark-v');
    var a = body.find('#vark-a');
    var r = body.find('#vark-r');
    var k = body.find('#vark-k');

    // Mueve la pantalla al lugar donde se encuentra el elemento jquery pasado como argumento
    function goSection(element, rise){
        body.stop().animate({
            'scrollTop': element.offset().top - rise
        }, 900, 'swing');
    }
    // Muestra la descripción de los estilos de aprendizaje
    function showStylesOnClick(classElement){
        todos.hide();

        if(classElement.indexOf('eye') > 0)
            v.fadeIn();
        else if(classElement.indexOf('volume') > 0)
            a.fadeIn();
        else if(classElement.indexOf('book') > 0)
            r.fadeIn();
        else if(classElement.indexOf('hand') > 0)
            k.fadeIn();

        goSection(varkContainer, 11);
    }

    estilos.on('click', 'i', function(event){

        var estilo = event.currentTarget.className;
        showStylesOnClick(estilo);

    });

    estilos.on('mouseenter', 'i', function(e){
        var elem = $(e.currentTarget);
        var p = elem.next();
        elem.css({'color': '#99FF00', 'opacity': '1'});
        p.css({'color': '#99FF00', 'opacity': '1'});
    });
    estilos.on('mouseleave', 'i', function(e){
        var elem = $(e.currentTarget);
        var p = elem.next();
        elem.css({'color': '#FFF', 'opacity': '0.7'});
        p.css({'color': '#FFF', 'opacity': '0.7'});
    });

})(jQuery);
