<?php
use Illuminate\Auth\UserInterface;

class Profesor extends Eloquent implements UserInterface{

     protected $table="profesor";
     protected $primaryKey="id_profesor";
     protected $fillable=array("nombre", "apellido_pat", "apellido_mat", "password", "email", "clave");

     public function informes(){
          return $this->hasMany("Informe", "id_profesor");
     }

     public function recursos(){
          return $this->hasMany("Recurso", "id_profesor");
     }

     public function getAuthIdentifier(){

               return $this->getKey();
          }

          public function getAuthPassword(){

               return $this->password;
          }

          public function getRememberToken(){

               return $this->remember_token;
          }

          public function setRememberToken($val){

               $this->remember_token = $val;
          }

          public function getRememberTokenName(){

               return "remember_token";
          }

}

?>