@extends('layouts.default')
@section('cssAdd')
    <style media="screen">
        .recurso-recomendado{
            background-color: #F9F9F9;
            margin: 1px;
        }
        .recurso-recomendado p{
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
        }
        .recurso-recomendado a{
            font-size: 1.3em;
        }
    </style>
@stop

@section('content')

    <div class="container">
        <h1 class="headline-inverted">Material Recomendado</h1>

        <div class="row">

            @if(sizeof($materiales))
                @foreach($materiales as $key => $value)
                    <div class="col-sm-4 recurso-recomendado">
                        <p>
                            <a href="verRecurso/{{$key}}">{{$value}}</a>
                        </p>
                    </div>
                @endforeach
                @if(sizeof($materialesURL))
                    @foreach($materialesURL as $key => $value)
                        <div class="col-sm-4 recurso-recomendado">
                            <p>
                                <a target="_blank" href="{{$key}}">{{$value}}</a>
                            </p>
                        </div>
                    @endforeach
                @endif
            @else
                <p class="">
                    Aún no hay material disponible, ¿Ya realizaste el <a href="/estilosAprendizaje">cuestionario VARK</a> y guardaste tus <a href="/configuraciones">estilos</a> en la plataforma?
                </p>
            @endif

        </div>
    </div>

@stop
