var gulp = require('gulp');
var minCss = require('gulp-minify-css');
var uglify = require('gulp-uglify');
gulp.task('minCss', function(){
    return gulp.src('./public/*.css')
        .pipe(minCss({compatibility: 'ie8'}))
        .pipe(gulp.dest('./public/dist/css'));
});
gulp.task('js', function(){
    return gulp.src('./public/js/*.js')
        .pipe(uglify())
        .pipe(gulp.dest('./public/dist/js'));
});
gulp.task('watch', function(){
    gulp.watch('./public/*.css', ['minCss']);
    gulp.watch('./public/js/*.js', ['js']);
});

gulp.task('default', ['minCss', 'js', 'watch']);
