$(document).ready(function(){
    var body = $('body');
    var menu = body.find('.menu-pr');
    var sectionCntPr = body.find('#section-cnt-pr');
    var cntTareas = body.find('#cnt-pr-tareas');
    var cntAnuncios = body.find('#cnt-pr-anuncios');
    var cntRecursos = body.find('#cnt-pr-recursos');
    var btnChangeEmail = body.find('#btn-change-email');

    body.tooltip({ selector: '[data-toggle=tooltip]' });

    function hideCntPr(){
        cntTareas.hide();
        cntAnuncios.hide();
        cntRecursos.hide();
    }
    function goSection(element){
        body.stop().animate({
            'scrollTop': element.offset().top - 11
        }, 900, 'swing');
    }

    menu.click(function(){
        switch ($(this).context.id) {
            case 'mn-pr-tareas':
                hideCntPr();
                cntTareas.fadeIn('fast');
                goSection(sectionCntPr);
                break;
            case 'mn-pr-anuncios':
                hideCntPr();
                cntAnuncios.fadeIn('fast');
                goSection(sectionCntPr);
                break;
            case 'mn-pr-recursos':
                hideCntPr();
                cntRecursos.fadeIn('fast');
                goSection(sectionCntPr);
                break;
            default:
                console.log('Error!');
        }
    });

    /* < Cambiar email ajax */
        btnChangeEmail.click(function(){

            var statusChangeEmail = $('#status-change-email');
            var email = $('#input-change-email').val();
            var msgChangeEmail1 = $('#msg-change-email1 span');
            var isAlumno = $('#hd-isAlumno').val();
            var id = $('#hd-id').val();

            if(email.indexOf('@') > 0 && email.length > 5){
                $.post('changeEmail', {
                    'email': email,
                    'isAlumno': isAlumno,
                    'id': id
                }, function(data, status){
                    if(status == 'success'){
                        msgChangeEmail1.text(data);
                        statusChangeEmail.html("<div class='alert alert-success'>Email cambiado!</div>");
                        console.log(data);
                    }
                    else{
                        console.log(status);
                        console.log("[Err]");
                    }
                });
            }
            else{
                console.log('Email invalido');
                statusChangeEmail.html("<div class='alert alert-danger'><b>Email invalido</b></div>");
            }

        });
    /* Cambiar email ajax > */
});
function toogleDisplay(id){
     var element=document.getElementById(id);
     var style=window.getComputedStyle(element);
     var display;

     if(element === null){
          alert("Aún no hay contenido");
     }
     else{
          display=style.getPropertyValue('display');
          if(display == 'none'){
               element.style.display='block';
          }
          else{
               element.style.display='none';
          }
     }
}
function showHWPdf(){
     var formPdf=document.getElementById('formHWPdf');
     var formTxt=document.getElementById('formHWTxt');

     formPdf.style.display="block";
     formTxt.style.display="none";
}
function showHWText(){
     var formTxt=document.getElementById('formHWTxt');
     var formPdf=document.getElementById('formHWPdf');

     formTxt.style.display="block";
     formPdf.style.display="none";

}
function checkPass(){
     var p = document.getElementById('configPass').value;
     var cp = document.getElementById('configPassConfirm').value;
     var status = document.getElementById('configStatusPassword');
     var statusErr = document.getElementById('configStatusErrorPassword');

     if(p == cp){
          status.style.display="block";
          statusErr.style.display="none";
     }
     else{
          status.style.display="none";
          statusErr.style.display="block";
     }

}
/*Nuevas funcionalidades*/
function voteResource(elem, vote){
    var voteSplit = vote.split('-');
    var idAlumno = voteSplit[0];
    var idRecurso = voteSplit[1];
    var url = '/voteResource';

    $.post(url, {
        'idAlumno': idAlumno,
        'idRecurso': idRecurso
    }, function(data, status){
        if(status == 'success'){
            var votacion = $(elem).parent().prev();
            var numVotacion = parseInt($(votacion).text());
            $(votacion).text(numVotacion + 1);
            $(elem).css({'color': '#01C504', 'pointerEvents': 'none'});
        }
    });
}
